# SXP Reference

getAttributeNo | Callbacks

#### Syntax

         getAttributeNo(node, index)

Name | Type | Description
--- | --- | ---
`node` | `SXP_Node` | The node to operate on.
`index` | `int` | Index of an attribute.
`(RET)` | `SXP_Node` | The node's attribute with the given index.

#### Description

Returns the node's attribute at the given index. If the index is out of bounds, or if the node has no attributes, NULL is returned.

#### See Also

Groups | [ Callbacks ]
Entries | [ SXP_Node ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC